[TOC]

问题1.Powershell 无法执行ps1脚本,并且在设置执行策略时报”PS 已成功更新你的执行策略,但在更具体的作业域中定义的策略覆盖了该设置,由于发生覆盖,你得外壳程序将保留当前的有效设置执行策略Restricted”
错误信息:

WeiyiGeek.Powershell-Set-executionPolicy

WeiyiGeek.Powershell-Set-executionPolicy

错误原因: 由于在策略组中Windows Powershell的启动脚本执行已设置为禁用。
解决办法: gpedit.msc -> 管理模板 -> Windows 组件 -> Powershell -> 启动脚本执行 -> “允许本地脚本和远程签名脚本”策略设置允许运行任何本地脚本,来自 Internet 的脚本必须由受信任的发布者进行签名。(在程序执行完成后非常建议改回去)